cdac.medinfo.sdk.hl7282.baselibs.segments

## Class OM5

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.OM5

- All Implemented Interfaces:
    ISegment

      public class OM5
      extends Segment

  OM5 - Observation Batteries (Sets) Segment

  The Technical Steward for the OM5 segment is ORDERS. This segment contains the information about batteries and supersets.

  Represents an HL7 OM5 message segment. This segment has the following fields:

  OM5-1: Sequence Number - Test/Observation Master File (NM)Optional
  OM5-2: Test/Observations Included within an Ordered Test Battery (CWE)Optional
  OM5-3: Observation ID Suffixes (ST)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OM5()` Constructs the OM5 segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTestObservationsIncludedwithinanOrderedTestBattery(CWE objtestObservationsIncludedwithinanOrderedTestBattery)` Add the Test Observations Included within an Ordered Test Battery.
    `void` | `addTestObservationsIncludedwithinanOrderedTestBattery(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Test Observations Included within an Ordered Test Battery.
    `ST` | `getObservationIDSuffixes()` Retrieves the Observation ID Suffixes.
    `NM` | `getSequenceNumberTestObservationMasterFile()` Retrieves the Sequence Number Test Observation Master File.
    `ISingleCollection<CWE>` | `getTestObservationsIncludedwithinanOrderedTestBattery()` Retrieves the Test Observations Included within an Ordered Test Battery.
    `void` | `setObservationIDSuffixes(ST objobservationIDSuffixes)` Set the Observation ID Suffixes.
    `void` | `setObservationIDSuffixes(java.lang.String strObservationIDSuffixes)` Set the Observation ID Suffixes.
    `void` | `setSequenceNumberTestObservationMasterFile(NM objsequenceNumberTestObservationMasterFile)` Set the Sequence Number Test Observation Master File.
    `void` | `setSequenceNumberTestObservationMasterFile(java.lang.String strSequenceNumberTestObservationMasterFile)` Set the Sequence Number Test Observation Master File.
    `void` | `setTestObservationsIncludedwithinanOrderedTestBattery(ISingleCollection<CWE> objtestObservationsIncludedwithinanOrderedTestBatteryList)` Set the Test Observations Included within an Ordered Test Battery.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OM5

          public OM5()

      Constructs the OM5 segment.

  - ### Method Detail

    - #### getObservationIDSuffixes

          public ST getObservationIDSuffixes()

      Retrieves the Observation ID Suffixes. This field contains the tests or procedures that produce a type which uses observation ID.
      Returns:
        ST - observationIDSuffixes

    - #### getSequenceNumberTestObservationMasterFile

          public NM getSequenceNumberTestObservationMasterFile()

      Retrieves the Sequence Number Test Observation Master File. This field contains the same value as the sequence number of the associated OM1 segment.
      Returns:
        NM - sequenceNumberTestObservationMasterFile

    - #### getTestObservationsIncludedwithinanOrderedTestBattery

          public ISingleCollection<CWE> getTestObservationsIncludedwithinanOrderedTestBattery()

      Retrieves the Test Observations Included within an Ordered Test Battery. This field contains the codes and names of all tests/observations included within a single battery.
      Returns:
        ISingleCollection - testObservationsIncludedwithinanOrderedTestBattery

    - #### setObservationIDSuffixes

          public void setObservationIDSuffixes(java.lang.String strObservationIDSuffixes)

      Set the Observation ID Suffixes. This field contains the tests or procedures that produce a type which uses observation ID.
      Parameters:
        `strObservationIDSuffixes` - Use as ObservationIDSuffixes.

    - #### setObservationIDSuffixes

          public void setObservationIDSuffixes(ST objobservationIDSuffixes)

      Set the Observation ID Suffixes. This field contains the tests or procedures that produce a type which uses observation ID.
      Parameters:
        `objobservationIDSuffixes` - Object of Observation ID Suffixes.

    - #### setSequenceNumberTestObservationMasterFile

          public void setSequenceNumberTestObservationMasterFile(java.lang.String strSequenceNumberTestObservationMasterFile)

      Set the Sequence Number Test Observation Master File. This field contains the same value as the sequence number of the associated OM1 segment.
      Parameters:
        `strSequenceNumberTestObservationMasterFile` - Specifies the maximum number of days that the insurance policy will cover.

    - #### setSequenceNumberTestObservationMasterFile

          public void setSequenceNumberTestObservationMasterFile(NM objsequenceNumberTestObservationMasterFile)

      Set the Sequence Number Test Observation Master File. This field contains the same value as the sequence number of the associated OM1 segment.
      Parameters:
        `strSequenceNumberTestObservationMasterFile` - Specifies the maximum number of days that the insurance policy will cover.

    - #### addTestObservationsIncludedwithinanOrderedTestBattery

          public void addTestObservationsIncludedwithinanOrderedTestBattery(java.lang.String strIdentifier,
                                                                   java.lang.String strText,
                                                                   java.lang.String strNameOfCodingSystem,
                                                                   java.lang.String strAlternateIdentifier,
                                                                   java.lang.String strAlternateText,
                                                                   java.lang.String strNameOfAlternateCodingSystem,
                                                                   java.lang.String strCodingSystemVersionID,
                                                                   java.lang.String strAlternateCodingSystemVersionId,
                                                                   java.lang.String strOriginalText,
                                                                   java.lang.String strSecondAlternateIdentifier,
                                                                   java.lang.String strSecondAlternateText,
                                                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                                                   java.lang.String strCodingSystemOID,
                                                                   java.lang.String strValueSetOID,
                                                                   java.lang.String strValueSetVersionID,
                                                                   java.lang.String strAlternateCodingSystemOID,
                                                                   java.lang.String strAlternateValueSetOID,
                                                                   java.lang.String strAlternateValueSetVersionID,
                                                                   java.lang.String strSecondAlternateCodingSystemOID,
                                                                   java.lang.String strSecondAlternateValueSetOID,
                                                                   java.lang.String strSecondAlternateValueSetVersionID)

      Add the Test Observations Included within an Ordered Test Battery. This field contains the codes and names of all tests/observations included within a single battery.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addTestObservationsIncludedwithinanOrderedTestBattery

          public void addTestObservationsIncludedwithinanOrderedTestBattery(CWE objtestObservationsIncludedwithinanOrderedTestBattery)

      Add the Test Observations Included within an Ordered Test Battery. This field contains the codes and names of all tests/observations included within a single battery.
      Parameters:
        `objtestObservationsIncludedwithinanOrderedTestBattery` - Object of Test Observations Included within an Ordered Test Battery.

    - #### setTestObservationsIncludedwithinanOrderedTestBattery

          public void setTestObservationsIncludedwithinanOrderedTestBattery(ISingleCollection<CWE> objtestObservationsIncludedwithinanOrderedTestBatteryList)

      Set the Test Observations Included within an Ordered Test Battery. This field contains the codes and names of all tests/observations included within a single battery.
      Parameters:
        `objtestObservationsIncludedwithinanOrderedTestBatteryList` - List of Test Observations Included within an Ordered Test Battery.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.